Subject: Re: bug#8332: Acknowledgement (24.0.9999; lexbind-new branch errors on M-x describe-variable lexical-binding)

From: Stefan Monnier <[email-masked]>
Date: Thu, 24 Mar 2011 11:01:33 -0400

> After some bisectioning, I found out the culprit is anything.
> Commenting out
>   (require 'anything)
> in my .emacs, so I'll Cc-ed Thierry and Rubykitch.

Please try to only set lexical-binding via file-local variables.
This should be 100% backward compatible (i.e. only affect the files
where you've set that variable), so any new error like the above
is not normal.  There are a few rare backward incompatibilities, but
they are fairly rare (e.g. the `byte-compile' property works a bit
differently, and there are new representations for functions, so if the
code checks (eq (car foo) 'lambda) instead of using `functionp' it might
bump into problems).

        Stefan